ICDSOFT

Новини / Технически

Абонирай се

Git секция в Контролния панел

Добавихме нова секция към Контролния ни панел - Git. Тя позволява на нашите клиенти лесно да създават и управляват Git хранилища онлайн, както и да инсталират автоматично GitList на своите хостинг акаунти.


SSH достъп за всички наши клиенти

Днес нашият софтуерен отдел добави още една секция към Контролния панел - "SSH достъп". Чрез нея потребителите могат да активират SSH достъп до своя хостинг акаунт, както и да контролират използването на различни сървърни приложения като curl, wget, компилатори и др. По този начин вече всички наши клиенти, включително и тези на споделени хостинг сървъри, имат възможност да използват SSH за достъп до своите хостинг акаунти.

Новият интерфейс увеличава цялостната сигурност на акаунтите и сървърите, тъй като клиентите могат да разрешат достъп само до функциите, от които се нуждаят и планират да използват.


PHP 5.6 и PHP 7.0 на всички сървъри

В последните няколко седмици нашите системни администратори постепенно заменяха PHP 5.5 с PHP 5.6 и от днес PHP 5.6 e стандартният PHP интерпретатор на всички наши сървъри.

С цел да предоставим най-новите технологии на нашите клиенти, инсталирахме и PHP 7.0. Клиентите ни могат да използват PHP 7.0 както за целия акаунт, така и само за определени директории.

PHP 5.3 е все още достъпен на нашите сървъри, за да позволим на клиентите ни с по-стар софтуер да преминат към по-актуална версия на PHP. PHP 5.3 ще е на разположение само за ограничен период от време, тъй като е в края на жизнения си цикъл.


MySQL 5.6.27 инсталиран на всички сървъри

От тази седмица MySQL 5.6.27 е инсталиран на всички наши сървъри.

Когато обмисляме обновяване на сървърния софтуер, винаги се стремим да балансираме между предлагането на най-новите технологии, гарантиране на сигурността на нашите услуги и осигуряването на достатъчно време на клиентите за настройване или ъпгрейд на техен софтуер, който не е съвместим. Сигурността на нашите сървъри е с най-висок приоритет. В случай че бъде открита критична уязвимост на даден софтуер, която потенциално може да се отрази на сигурността на целия сървър, извършваме незабавно софтуерно обновяване.

Тъй като MySQL 5.6.27 съдържа поправки, свързани със сигурността, и не са известни проблеми с обратната съвместимост, системните ни администратори го инсталираха на всички наши сървъри. Всички предишни версии на MySQL са премахнати от сървърите.


PHP 5.5 на всички сървъри

Следвайки нашата политика да предоставяме най-новите сървърни технологии, които смятаме за достатъчно стабилни и сигурни за производствена среда, инсталирахме PHP 5.5 на всички наши сървъри. Клиентите имат вече възможност да избират между PHP 5.5 и PHP 5.3 за PHP интерпретатор.

Ние сме наясно, че PHP 5.3 не се поддържа вече от PHP разработчиците. Въпреки това нашите анализи показват, че PHP 5.3 не представлява риск за сигурността на хостинг сървърите. Затова решихме да задържим засега PHP 5.3, предоставяйки на нашите клиенти достатъчно време, за да направят техния софтуер съвместим с PHP 5.5 - версиите на PHP след 5.3 въвеждат основни промени, които изискват евентуално пренаписването на стари сайтове/софтуер.

Сигурността на услугите е от първостепенно значение за нас и нашите системни администратори следят внимателно ситуацията около PHP 5.3. Ако някога бъде открита уязвимост в сигурността на PHP 5.3, поддръжката на тази версия ще бъде спряна незабавно на нашите сървъри. Ето защо съветваме нашите клиенти да се уверят, че техните PHP сайтове/софтуер са съвместими с версии нa PHP след 5.3.